=head1 NAME

GStreamer::TagSetter

=cut

=head1 HIERARCHY

  Glib::Interface
  +----GStreamer::TagSetter



=cut


=head1 METHODS

=head2 $setter-E<gt>B<add_tags> ($mode, $tag, $sv, ...)

=over

=item * $mode (GStreamer::TagMergeMode) 

=item * $tag (string) 

=item * $sv (scalar) 

=item * ... (list) 

=back

=head2 $setter-E<gt>B<merge_tags> ($list, $mode)

=over

=item * $list (GStreamer::TagList) 

=item * $mode (GStreamer::TagMergeMode) 

=back

=head2 taglist = $setter-E<gt>B<get_tag_list> 

=head2 tagmergemode = $setter-E<gt>B<get_tag_merge_mode> 

=head2 $setter-E<gt>B<set_tag_merge_mode> ($mode)

=over

=item * $mode (GStreamer::TagMergeMode) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum GStreamer::TagMergeMode

=over

=item * 'undefined' / 'GST_TAG_MERGE_UNDEFINED'

=item * 'replace-all' / 'GST_TAG_MERGE_REPLACE_ALL'

=item * 'replace' / 'GST_TAG_MERGE_REPLACE'

=item * 'append' / 'GST_TAG_MERGE_APPEND'

=item * 'prepend' / 'GST_TAG_MERGE_PREPEND'

=item * 'keep' / 'GST_TAG_MERGE_KEEP'

=item * 'keep-all' / 'GST_TAG_MERGE_KEEP_ALL'

=item * 'count' / 'GST_TAG_MERGE_COUNT'

=back




=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Interface>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

